Bug 1129700 - Review Request: php-ircmaxell-security-lib - A Base Security Library
Review Request: php-ircmaxell-security-lib - A Base Security Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1129714
  Show dependency treegraph
 
Reported: 2014-08-13 09:39 EDT by Remi Collet
Modified: 2014-09-23 23:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-ircmaxell-security-lib-1.0.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-02 03:06:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (13.20 KB, text/plain)
2014-08-27 18:00 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (6.85 KB, text/plain)
2014-08-27 18:00 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-08-13 09:39:24 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/b49ebcc217a2990adb27cfbf23f9b9e2bda94ed3/php/php-ircmaxell-security-lib/php-ircmaxell-security-lib.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-ircmaxell-security-lib-1.0.0-1.remi.src.rpm
Description: 
This is a base set of libraries used in other projects.
This isn't useful on its own...

Optional dependency: php-gmp or php-bcmath

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2014-08-13 10:28:50 EDT
Found in lib path: /usr/share/php/SecurityLib/composer.json
Comment 4 Shawn Iwinski 2014-08-27 18:00:07 EDT
Created attachment 931690 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 5 Shawn Iwinski 2014-08-27 18:00:46 EDT
Created attachment 931691 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1129700
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 6 Shawn Iwinski 2014-08-27 18:02:15 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove after initial import.



No blockers.

===== APPROVED =====
Comment 7 Remi Collet 2014-08-28 10:01:52 EDT
Thanks for the review.


New Package SCM Request
=======================
Package Name: php-ircmaxell-security-lib
Short Description: A Base Security Library
Upstream URL: https://github.com/ircmaxell/SecurityLib
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 8 Gwyn Ciesla 2014-08-28 11:31:09 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-08-28 12:46:26 EDT
php-ircmaxell-security-lib-1.0.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-ircmaxell-security-lib-1.0.0-2.fc21
Comment 10 Fedora Update System 2014-08-28 12:46:34 EDT
php-ircmaxell-security-lib-1.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-ircmaxell-security-lib-1.0.0-2.fc20
Comment 11 Fedora Update System 2014-08-28 12:46:57 EDT
php-ircmaxell-security-lib-1.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-ircmaxell-security-lib-1.0.0-2.el6
Comment 12 Fedora Update System 2014-08-29 10:42:48 EDT
php-ircmaxell-security-lib-1.0.0-2.fc21 has been pushed to the Fedora 21 testing repository.
Comment 13 Fedora Update System 2014-09-09 18:25:32 EDT
php-ircmaxell-security-lib-1.0.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2014-09-23 00:52:56 EDT
php-ircmaxell-security-lib-1.0.0-2.fc21 has been pushed to the Fedora 21 stable repository.
Comment 15 Fedora Update System 2014-09-23 23:50:38 EDT
php-ircmaxell-security-lib-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.